[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Fwd: svn commit: r36076 - trunk/subversion/po

From: Jens Seidel <jensseidel_at_users.sf.net>
Date: Mon, 23 Feb 2009 21:32:38 +0100

On Mon, Feb 23, 2009 at 11:28:31AM -0600, Hyrum K. Wright wrote:
>>> Cc: Jens Seidel <jensseidel_at_users.sf.net>

Yep, please subscribe me!

>>> I don't know if they are specifically related to this commit or not,
>>> but I currently get the following error when running 'make':
>>>
>>> /opt/local/bin/msgfmt -c -o subversion/po/de.mo subversion/po/de.po
>>> subversion/po/de.po:456:1: syntax error

I don't know what gettext version you are using but the problem is on your
side!

It works with version 0.15 which is quite old.

I suggest you analyse the problem, I really doubt that even older gettext
versions have trouble with the current PO file.

What you could try as temporary workaround is removing lines starting
with "#|". This comment style is added for fuzzy mesages and simplifies
resolving these fuzzy strings. It is added using the option --previous of
msgmerge which I added manually to the $MSGMERGE invocation in
tools/po/po-update.sh. To be honest I think the option should be the
default and is already supported since some years.

Jens
Received on 2009-02-23 21:43:11 CET

This is an archived mail posted to the Subversion Dev mailing list.